Subject: Re: bug#6491: 24.0.50; list-buffers should not throw away marks

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 22:58:27 +0200

"Drew Adams" <[email-masked]> writes:

>> I think it may be logical for the marks to go away if you re-list the
>> buffers, but I'm not sure.  Does anybody have an opinion on this?
>
> Relisting (e.g. `g') does erase all marks in *Buffer List*.
>
> I'm not sure it should, however.  Seems to me that Dired should perhaps be the
> model here, and `g' does *not* erase marks in Dired.

I've now made this change in Emacs 27.

As for `v' removing the marks -- it's done that since forever, as far as
I can see, and it's done on purpose, so I think making it stop doing
that might be a behavioural change that won't be welcome.

But I don't know -- does anybody have an opinion?  It's trivial to fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no